Subject: Re: bug#77732: grep-edit-buffer errors with incionsistent behaviour

From: Visuwesh <[email-masked]>
Date: Sat, 12 Apr 2025 20:23:45 +0530

[சனி ஏப்ரல் 12, 2025] Eli Zaretskii wrote:

> [...]
>> >> When I say 'e' for the second time around, till the end of
>> >> grep-change-to-grep-edit-mode, there's no extra compilation-message
>> >> text-property (lines marked with *).  But in the gap between
>> >> grep-change-to-grep-edit-mode and me saying C-c C-c (with no other
>> >> action being done by me in between), the extra compilation-message
>> >> text-property is added to the "Grep finished..." line.
>> >
>> > I'm guessing this is font-lock (called via jit-lock mechanism)?
>> 
>> That may be the case...
>> 
>> > Maybe you should do something with font-lock-extra-managed-props?
>> 
>> Just pushing 'compilation-message to font-lock-extra-managed-props did
>> not help.  Unfortunately, I do not know enough to debug this one.
>
> And it doesn't help that it is a heisenbug: I could only reproduce it
> once, even with your recipe.

I can reproduce it every time I repeat the recipe.  Does it help to use
M-x rgrep instead?